For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceTags

Update

PATCH
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/tags/:tagId
PATCH
/v1/landscapes/:landscapeId/versions/:versionId/tags/:tagId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tags.update("landscapeId", "versionId", "tagId", {
8 body: {},
9 });
10}
11main();
1{
2 "tag": {
3 "color": "blue",
4 "commit": 1.1,
5 "groupId": "string",
6 "index": 1.1,
7 "labels": {},
8 "name": "string",
9 "handleId": "string",
10 "createdAt": "2024-01-15T09:30:00Z",
11 "createdBy": "user",
12 "createdById": "string",
13 "id": "string",
14 "landscapeId": "string",
15 "modelConnectionIds": [
16 "string"
17 ],
18 "modelObjectIds": [
19 "string"
20 ],
21 "updatedAt": "2024-01-15T09:30:00Z",
22 "updatedBy": "user",
23 "updatedById": "string",
24 "version": 1.1,
25 "versionId": "string",
26 "deletedAt": "2024-01-15T09:30:00Z",
27 "deletedBy": "user",
28 "deletedById": "string",
29 "latestEntityId": "string"
30 }
31}
Was this page helpful?
Previous

List

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
tagIdstringRequired

Request

This endpoint expects an object.
colorenumOptional
commitdoubleOptional
groupIdstringOptional
indexdoubleOptional
labelsmap from strings to stringsOptional
namestringOptional

Response

OK
tagobject

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error